﻿using System;
using System.Collections.Generic;
using System.IO;
using System.Linq;
using System.Runtime.InteropServices.WindowsRuntime;
using Windows.Foundation;
using Windows.Foundation.Collections;
using Windows.UI.Xaml;
using Windows.UI.Xaml.Controls;
using Windows.UI.Xaml.Controls.Primitives;
using Windows.UI.Xaml.Data;
using Windows.UI.Xaml.Input;
using Windows.UI.Xaml.Media;
using Windows.UI.Xaml.Navigation;
using System.Collections.ObjectModel;

// La plantilla de elemento Página en blanco está documentada en https://go.microsoft.com/fwlink/?LinkId=402352&clcid=0xc0a

namespace Proyecto22
{
    /// <summary>
    /// Página vacía que se puede usar de forma independiente o a la que se puede navegar dentro de un objeto Frame.
    /// </summary>

    public sealed partial class MainPage : Page
    {

        private ObservableCollection<Pais> paises = new ObservableCollection<Pais>();

        public MainPage()
        {
            this.InitializeComponent();
            cargarListView();
        }

        private void cargarListView()
        {
            paises.Add(new Pais { Nombre = "Argentina", CantidadHabitantes = 40000000, Archivo = "Assets/argentina.png" });
            paises.Add(new Pais { Nombre = "Chile", CantidadHabitantes = 17000000, Archivo = "Assets/chile.png" });
            paises.Add(new Pais { Nombre = "Bolivia", CantidadHabitantes = 10000000, Archivo = "Assets/bolivia.png" });
            paises.Add(new Pais { Nombre = "Perú", CantidadHabitantes = 30000000, Archivo = "Assets/peru.png" });
            paises.Add(new Pais { Nombre = "Ecuador", CantidadHabitantes = 16000000, Archivo = "Assets/ecuador.png" });
            paises.Add(new Pais { Nombre = "Paraguay", CantidadHabitantes = 7000000, Archivo = "Assets/paraguay.png" });
            paises.Add(new Pais { Nombre = "Uruguay", CantidadHabitantes = 3000000, Archivo = "Assets/uruguay.png" });
            paises.Add(new Pais { Nombre = "Brasil", CantidadHabitantes = 200000000, Archivo = "Assets/brasil.png" });
            paises.Add(new Pais { Nombre = "Venezuela", CantidadHabitantes = 30000000, Archivo = "Assets/venezuela.png" });
            paises.Add(new Pais { Nombre = "Colombia", CantidadHabitantes = 48000000, Archivo = "Assets/colombia.png" });
            paises.Add(new Pais { Nombre = "Surinam", CantidadHabitantes = 500000, Archivo = "Assets/surinam.png" });
            paises.Add(new Pais { Nombre = "Guyana", CantidadHabitantes = 800000, Archivo = "Assets/guyana.png" });
            paises.Add(new Pais { Nombre = "Guyana Francesa", CantidadHabitantes = 250000, Archivo = "Assets/guyanafrancesa.png" });
            listView1.ItemsSource = paises;
        }
    }
}
